#include <iostream>
#include <cstdio>

using namespace std;

// kad ne moze bolje, mora ovako.
// verovatno uvek moze da se napravi ili nema primera gde je resenje -1 :(

int main()
{
    freopen("flojd.in","r",stdin);
    freopen("flojd.out","w",stdout);

    int n;
    scanf("%i",&n);
    if(n == 3)
        { printf("1\n2\n3\n"); return 0; }
    printf("-1\n");
    return 0;
}
